2013-03-22  Jakub Jelinek  <jakub@redhat.com>

	PR other/43620
	* Makefile.in: Regenerated.
	* doc/Makefile.in: Regenerated.
	* doc/api/Makefile.in: Regenerated.
	* examples/Makefile.in: Regenerated.
	* external/Makefile.in: Regenerated.
	* external/jsr166/Makefile.in: Regenerated.
	* external/relaxngDatatype/Makefile.in: Regenerated.
	* external/sax/Makefile.in: Regenerated.
	* external/w3c_dom/Makefile.in: Regenerated.
	* include/Makefile.in: Regenerated.
	* lib/Makefile.in: Regenerated.
	* native/Makefile.in: Regenerated.
	* native/fdlibm/Makefile.in: Regenerated.
	* native/jawt/Makefile.in: Regenerated.
	* native/jni/Makefile.in: Regenerated.
	* native/jni/classpath/Makefile.in: Regenerated.
	* native/jni/gconf-peer/Makefile.in: Regenerated.
	* native/jni/gstreamer-peer/Makefile.in: Regenerated.
	* native/jni/gtk-peer/Makefile.in: Regenerated.
	* native/jni/java-io/Makefile.in: Regenerated.
	* native/jni/java-lang/Makefile.in: Regenerated.
	* native/jni/java-math/Makefile.in: Regenerated.
	* native/jni/java-net/Makefile.in: Regenerated.
	* native/jni/java-nio/Makefile.in: Regenerated.
	* native/jni/java-util/Makefile.in: Regenerated.
	* native/jni/midi-alsa/Makefile.in: Regenerated.
	* native/jni/midi-dssi/Makefile.in: Regenerated.
	* native/jni/native-lib/Makefile.in: Regenerated.
	* native/jni/qt-peer/Makefile.in: Regenerated.
	* native/jni/xmlj/Makefile.in: Regenerated.
	* native/plugin/Makefile.in: Regenerated.
	* resource/Makefile.in: Regenerated.
	* scripts/Makefile.in: Regenerated.
	* tools/Makefile.in: Regenerated.

2013-02-21  Jakub Jelinek  <jakub@redhat.com>

	PR bootstrap/56258
	* doc/cp-tools.texinfo (Virtual Machine Options): Use just
	one @gccoptlist instead of 3 separate ones.

2013-01-03  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2012-12-03  Matthias Klose  <doko@ubuntu.com>

	* configure.ac (AM_INIT_AUTOMAKE): Call with no-dist.
	* m4/lib-ld.m4, m4/lib-link.m4,m4/lib-prefix.m4: New.

2012-05-16  H.J. Lu  <hongjiu.lu@intel.com>

	* configure: Regenerated.

2012-01-01  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2011-11-29  Andreas Tobler  <andreast@fgznet.ch>

	* config.rpath (ld_shlibs): Fix detection of FreeBSD-10 and up.
	(libname_spec): Likewise.
	* configure: Regenerate with autoconf -I ../../.

2011-02-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config.rpath, ltcf-c.sh, ltcf-gcj.sh, ltconfig: Remove
	handling of freebsd1* which soon would match FreeBSD 10.0.
	* configure: Regenerate.

2011-01-31  Alexandre Oliva  <aoliva@redhat.com>

	* configure.ac (GCJ_JAVAC): Run false rather than no.
	* configure: Rebuilt.

2011-01-03  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2010-06-21  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* doc/Makefile.am (POD2MAN): Provide --date from ChangeLog.
	* doc/Makefile.in: Regenerate.

2010-04-07  Jakub Jelinek  <jakub@redhat.com>

	* native/jni/midi-alsa/gnu_javax_sound_midi_alsa_AlsaPortDevice.c
	(Java_gnu_javax_sound_midi_alsa_AlsaPortDevice_run_1receiver_1thread_1):
	Avoid set but not used warning.

2010-01-09  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2009-07-01  Jakub Jelinek  <jakub@redhat.com>

	* gnu/javax/swing/text/html/parser/HTML_401F.java (defineElements):
	Split this huge method into...
	(defineElements1, defineElements2, defineElements3, defineElements4,
	defineElements5, defineElements6): ... these smaller methods.

2009-06-16  Matthias Klose  <doko@ubuntu.com>

	* tools/gnu/classpath/tools/gjdoc/Main.java (getGjdocVersion): Use
	gnu.classpath.Configuration.CLASSPATH_VERSION as version number.
	* tools/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java
	(getDocletVersion): Likewise.
	* tools/classes/gnu/classpath/tools/gjdoc/Main*.class: Regenerate.
	* tools/classes/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet*.class:
 	Regenerate.

2009-03-16  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Detect xulrunner-1.9.
	* configure: Regenerate.

2009-02-03  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2008-12-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.

2008-11-12  Jakub Jelinek  <jakub@redhat.com>

	PR libgcj/33764
	* configure.ac (INSTALL_BINARIES): New AM_CONDITIONAL.
	* tools/Makefile.am: If not INSTALL_BINARIES, use noinst_PROGRAMS
	instead of bin_PROGRAMS for binaries.
	* configure: Regenerated.
	* tools/Makefile.in: Regenerated.

2008-11-10  Andrew Haley  <aph@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_CairoGraphics2D.c 
	(Java_gnu_java_awt_peer_gtk_CairoGraphics2D_cairoDrawGlyphVector): 
	Remove bogus gdk_threads_leave ();

2008-10-23  Jakub Jelinek  <jakub@redhat.com>

	PR java/37893
	* tools/Makefile.am (tools.zip): Generate *.lst files always, not
	just in JAVA_MAINTAINER_MODE.
	* tools/Makefile.in: Regenerated.

2008-10-21  Matthias Klose  <doko@ubuntu.com>

	* classpath/tools/gnu/classpath/tools/gjdoc/expr/Java*: Move from ...
	* classpath/tools/generated/gnu/classpath/tools/gjdoc/expr/ ... here.
	* Update .class files.
	
2008-10-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* tools/Makefile.am:
	Always generate parser in the srcdir.

2008-10-21  Matthias Klose  <doko@ubuntu.com>

	* doc/Makefile.am (MAINTAINERCLEANFILES): Add gjdoc.1.
	* doc/Makefile.in: Regenerate.

2008-10-20  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Fix path name in check for generated gjdoc parser files.
	* configure: Regenerate.

2008-10-20  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Don't check for working java, if not configured
        with --enable-java-maintainer-mode.
	* configure: Regenerate.

2008-10-19  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_java.m4: Revert previous change.
	* m4/ac_prog_javac.m4: Apply it here.
	* configure: Regenerate.

2008-10-19  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_javac.m4: Don't check for working javac, if not configured
	with --enable-java-maintainer-mode.
	* configure: Regenerate.
	* Makefile.in, */Makefile.in: Regenerate.

2008-09-30  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_antlr.m4: Check for cantlr binary as well.

2008-09-29  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_antlr.m4: Check for antlr binary as well.

2008-09-28  Matthias Klose  <doko@ubuntu.com>

	* PR libgcj/37636. Revert:
	2008-02-20  Matthias Klose  <doko@ubuntu.com>

	* tools/Makefile.am ($(TOOLS_ZIP)): Revert part of previous change,
	Do copy resource files in JAVA_MAINTAINER_MODE only.
	* tools/Makefile.in: Regenerate.

2008-09-14  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_javac_works.m4, m4/ac_prog_javac.m4, m4/acinclude.m4:
	Revert local changes.
	* m4/ac_prog_antlr.m4: Check for an runantlr binary.
	* tools/Makefile.am, lib/Makefile.am: Revert local changes (JCOMPILER).
	* tools/Makefile.am: Remove USE_JAVAC_FLAGS, pass ANTLR_JAR in
	GLIBJ_CLASSPATH.

2008-09-14  Matthias Klose  <doko@ubuntu.com>

	Revert:
	Daniel Frampton  <zyridium at zyridium.net>

	* AUTHORS: Added.
	* java/lang/InheritableThreadLocal.java,
	* java/lang/Thread.java,
	* java/lang/ThreadLocal.java:
	Modified to use java.lang.ThreadLocalMap.
	* java/lang/ThreadLocalMap.java:
	New cheaper ThreadLocal-specific WeakHashMap.

2008-08-15  Matthias Klose  <doko@ubuntu.com>

	* m4/acinclude.m4 (CLASSPATH_JAVAC_MEM_CHECK): Remove unknown
	args for javac.

2008-08-17  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/CairoGraphics2D.java: Always loadLibrary
	gtk-peer.
	* gnu/java/awt/peer/gtk/GdkFontPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkToolkit.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java: Likewise.
	* gnu/java/awt/peer/gtk/*.class: Rebuilt.

2008-06-28  Matthias Klose  <doko@ubuntu.com>

	* m4/ac_prog_javac.m4: Disable check for JAVAC, when
	not configured with --enable-java-maintainer-mode.
	* aclocal.m4, configure: Regenerate.
	* native/jni/gstreamer-peer/Makefile.am: Do not link with
	libclasspathnative.
	* native/jni/gstreamer-peer/Makefile.in: Regenerate.
	* tools/Makefile.am, lib/Makefile.am: Use JAVAC for setting
	JCOMPILER, drop flags not understood by gcj.

2008-06-24  Tom Tromey  <tromey@redhat.com>

	PR libgcj/32198:
	* tools/gnu/classpath/tools/rmic/SourceGiopRmicCompiler.java
	(compile): Reverse isAssignableFrom test.
	* tools/gnu/classpath/tools/rmic/SourceGiopRmicCompiler.class:
	Rebuilt.

2008-04-18  Paolo Bonzini  <bonzini@gnu.org>

	PR bootstrap/35457
	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2008-04-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/gen-classlist.sh.in: Avoid grepping each omission, by
	building an awk script with a hash for literal files, and
	awk regular expressions for the rest.
	* configure.ac: Call AC_PROG_AWK.
	* configure: Regenerate.

	* m4/gcc_attribute.m4 (GCC_ATTRIBUTE): Fix cache variable name.
	* tools/Makefile.am (gappletviewer, gjarsigner, gkeytool, gjar)
	(gnative2ascii, gserialver, gjavah, grmiregistry, gtnameserv)
	(gorbd, grmid, grmic) [!CREATE_WRAPPERS]: Add stub dependencies
	for these scripts, to trick automake into hiding the respective
	rules for the programs below the CREATE_WRAPPERS conditional.
	* aclocal.m4: Regenerate.
	* configure: Likewise.
	* Makefile.in: Likewise.
	* native/jni/Makefile.in: Likewise.
	* native/jni/classpath/Makefile.in: Likewise.
	* native/jni/gstreamer-peer/Makefile.in: Likewise.
	* native/jni/midi-dssi/Makefile.in: Likewise.
	* native/jni/gconf-peer/Makefile.in: Likewise.
	* native/jni/java-io/Makefile.in: Likewise.
	* native/jni/native-lib/Makefile.in: Likewise.
	* native/jni/java-util/Makefile.in: Likewise.
	* native/jni/java-lang/Makefile.in: Likewise.
	* native/jni/midi-alsa/Makefile.in: Likewise.
	* native/jni/java-nio/Makefile.in: Likewise.
	* native/jni/java-net/Makefile.in: Likewise.
	* native/jni/xmlj/Makefile.in: Likewise.
	* native/jni/qt-peer/Makefile.in: Likewise.
	* native/jni/gtk-peer/Makefile.in: Likewise.
	* native/Makefile.in: Likewise.
	* native/jawt/Makefile.in: Likewise.
	* native/fdlibm/Makefile.in: Likewise.
	* native/plugin/Makefile.in: Likewise.
	* resource/Makefile.in: Likewise.
	* scripts/Makefile.in: Likewise.
	* tools/Makefile.in: Likewise.
	* doc/Makefile.in: Likewise.
	* doc/api/Makefile.in: Likewise.
	* lib/Makefile.in: Likewise.
	* external/Makefile.in: Likewise.
	* external/jsr166/Makefile.in: Likewise.
	* external/sax/Makefile.in: Likewise.
	* external/w3c_dom/Makefile.in: Likewise.
	* external/relaxngDatatype/Makefile.in: Likewise.
	* include/Makefile.in: Likewise.
	* examples/Makefile.in: Likewise.

2008-04-17  Tom Tromey  <tromey@redhat.com>

	PR libgcj/35950:
	* tools/gnu/classpath/tools/jar/Entry.java: New version from
	Classpath.
	* tools/classes/gnu/classpath/tools/jar/Entry.class: Update.

2008-03-10  Jim Meyering  <meyering@redhat.com>

	Don't leak upon failed realloc.
	* native/jni/classpath/jcl.c (JCL_realloc): Upon failed realloc,
	free the original buffer before throwing the exception.

2008-03-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/cp-hacking.texinfo: Fix spacing after periods.
	* doc/cp-tools.texinfo: Likewise.
	* doc/cp-vmintegration.texinfo: Likewise.

	* doc/cp-hacking.texinfo: Fix some typos.
	* doc/cp-tools.texinfo: Likewise.
	* doc/cp-vmintegration.texinfo: Likewise.

2008-03-02  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2008-02-20  Matthias Klose  <doko@ubuntu.com>

	* tools/Makefile.am ($(TOOLS_ZIP)): Revert part of previous change,
	Do copy resource files in JAVA_MAINTAINER_MODE only.
	* tools/Makefile.in: Regenerate.

2008-02-18  Jakub Jelinek  <jakub@redhat.com>

	* doc/cp-tools.texinfo (@direntry): Prefix info name with cp-.
	* doc/cp-hacking.texinfo (@direntry): Likewise.
	* doc/cp-vmintegration.texinfo (@direntry): Likewise.

2008-02-06  Matthias Klose  <doko@ubuntu.com>

	* tools/Makefile.am ($(TOOLS_ZIP)): Copy over rmic template files.
	Copy resource files independent of JAVA_MAINTAINER_MODE.
	* tools/Makefile.in: Regenerate.

2008-01-28  Tom Tromey  <tromey@redhat.com>

	* tools/classes/gnu/classpath/tools/native2ascii/Native2ASCII$3.class:
	Added.

2008-01-27  Bernhard Fischer  <rep.dot.nop@gmail.com>

	* java/util/SimpleTimeZone.java (SimpleTimeZone): Fix typo in comment.
	* gnu/CORBA/GIOP/v1_2/RequestHeader.java (RequestHeader): Fix typo in
	exception message.

2008-01-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/README.jaxp: Fix typos.

2007-09-04  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Append libgcj soversion to nativeexeclibdir.
	* configure: Regenerate.

2007-08-04  Matthias Klose  <doko@ubuntu.com>

	* java/util/EnumMap.java (clone): Add cast.

2007-07-12  Matthias Klose  <doko@ubuntu.com>

	* lib/jazzlib, tools/gnu/classpath/tools/rmi: Remove empty directories.

2007-06-07  Matthias Klose  <doko@ubuntu.com>

	PR libgcj/32227
	* include/config-int.h: Delete, it is a generated file.

2007-06-04  Matthias Klose  <doko@ubuntu.com>

	* m4/acinclude.m4: Accept GCJ and JIKES.
	* configure: Regenerate.

2007-05-31  Matthias Klose  <doko@ubuntu.com>

	* javax/management/NotificationBroadcasterSupport.java
	(getNotificationInfo): Add cast.
	* native/jni/qt-peer/Makefile.am (AM_CXXFLAGS): Add libstdc++ include
	directories.
	* native/jni/qt-peer/Makefile.in: Regenerate.

2007-05-30  H.J. Lu  <hongjiu.lu@intel.com>

	PR libjava/32098
	* configure.ac: Add AC_CONFIG_AUX_DIR(../..).
	* aclocal.m4: Regenerated.
	* configure: Likewise.
	* Makefile.in: Likewise.

2007-04-25  Andrew Haley  <aph@redhat.com>

	* java/io/ObjectStreamClass.java (ensureFieldsSet): New method.
	(setFields): call ensureFieldsSet.
	(fieldsSet): New field.
	* java/io/ObjectOutputStream.java (writeFields): Call
	osc.ensureFieldsSet().

	* java/io/ObjectInputStream.java (parseContent): Assign the handle
	for a PROXYCLASSDESC immediately after reading the marker.

2007-03-19  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: New configure option
	--enable-generated-files-in-srcdir.
	* doc/Makefile.am: Add support to generate files in srcdir,
	install the cp-tools documentation in info format.
	* configure: Regenerate.
	* native/jni/classpath/Makefile.in, native/jni/midi-dssi/Makefile.in,
	native/jni/Makefile.in, native/jni/gconf-peer/Makefile.in,
	native/jni/java-io/Makefile.in, native/jni/native-lib/Makefile.in,
	native/jni/java-util/Makefile.in, native/jni/java-lang/Makefile.in,
	native/jni/midi-alsa/Makefile.in, native/jni/java-nio/Makefile.in,
	native/jni/java-net/Makefile.in, native/jni/xmlj/Makefile.in,
	native/jni/qt-peer/Makefile.in, native/jni/gtk-peer/Makefile.in,
	native/Makefile.in, native/jawt/Makefile.in, native/fdlibm/Makefile.in,
	native/plugin/Makefile.in, resource/Makefile.in, scripts/Makefile.in,
	tools/Makefile.in, doc/Makefile.in, doc/api/Makefile.in,
	lib/Makefile.in, external/Makefile.in, external/sax/Makefile.in,
	external/w3c_dom/Makefile.in, external/jsr166/Makefile.in,
	external/relaxngDatatype/Makefile.in, include/Makefile.in,
	examples/Makefile.in: Regenerate.

2007-03-09  Gary Benson  <gbenson@redhat.com>
	    Chris Burdess  <dog@gnu.org>

	PR classpath/30831
	* gnu/xml/dom/ls/SAXEventSink.java: Only set extended document
	properties when reader is available.

2007-03-08  Gary Benson  <gbenson@redhat.com>

	PR classpath/30983:
	* gnu/xml/dom/ls/DomLSParser.java (getInputSource):
	Do not use the entity resolver to resolve the top-level document.

2007-03-07  Gary Benson  <gbenson@redhat.com>

	PR classpath/30906:
	* resource/META-INF/services/org.w3c.dom.DOMImplementationSourceList:
	New file.

2007-03-06  Matthias Klose  <doko@ubuntu.com>

	* doc/Makefile.am(gkeytool.pod): Don't use sed -i.
	* doc/Makefile.in: Regenerate.

2007-03-06  Tom Tromey  <tromey@redhat.com>

	* tools/gnu/classpath/tools/javah/Main.java (getName): New
	method.
	(getParser): Now protected.  Use getName.  Add '-v' alias for
	--verbose.
	(postParse): New method.
	(run): Now protected.  Use postParse.
	* tools/gnu/classpath/tools/javah/GcjhMain.java: New file.
	* tools/Makefile.in: Rebuilt.
	* tools/Makefile.am: Remove vm-tools.lst before creating it.

2007-03-05  Matthias Klose  <doko@ubuntu.com>

	* doc/Makefile.am(man_MANS): Add $(TOOLS_MANFILES).
	* doc/Makefile.in: Regenerate.

2007-02-26  Jakub Jelinek  <jakub@redhat.com>

	* java/util/TimeZone.java (getDefaultDisplayName): Don't
	check if TimeZone is instanceof SimpleTimeZone.

2007-02-21  Gary Benson  <gbenson@redhat.com>

	* java/util/GregorianCalendar.java,
	(add): Don't set fields directly anymore. Use set()

2007-02-20  Matthias Klose  <doko@ubuntu.com>

	* Merge doc update from classpath HEAD.
	* doc/texi2pod.pl: Not imported.
	* doc/Makefile.am: Use GCC's texi2pod.pl
	* doc/Makefile.in: Regenerate.

2007-02-20  Gary Benson  <gbenson@redhat.com>

	* javax/management/MBeanServer.java: Updated.
	* javax/management/MBeanServerConnection.java: Likewise.
	* javax/management/ObjectName.java: Likewise.
	* javax/management/StandardMBean.java: Likewise.

2007-02-15  David Daney  <ddaney@avtrex.com>

	* tools/Makefile.am (TOOLS_ZIP): Add classes from vm-tools-packages.
	* tools/Makefile.in: Regenerated.

2007-02-15  Gary Benson  <gbenson@redhat.com>

	* javax/management/AttributeList.java: Updated.
	* javax/management/MBeanServerDelegate.java: Likewise.
	* javax/management/MBeanServerFactory.java: Likewise.
	* javax/management/StandardMBean.java: Likewise.

2007-02-15  Gary Benson  <gbenson@redhat.com>

	* gnu/javax/management/Server.java
	(registerMBean): Always register objects that implement the
	MBeanRegistration interface, and check the name returned by
	preRegister before using it.

2007-02-15  Gary Benson  <gbenson@redhat.com>

	* javax/management/ObjectName.java:
	(getKeyPropertyList()): Remove cast and call
	to UnmodifiableMap.

2007-02-14  Gary Benson  <gbenson@redhat.com>

	* javax/management/ObjectName.java
	(toString): Return this item's canonical name.

2007-02-12  Tom Tromey  <tromey@redhat.com>

	* java/util/Collections.java (UnmodifiableMap.toArray): Imported
	changes from Classpath.

2007-02-09  Gary Benson  <gbenson@redhat.com>

	* javax/management/ObjectName.java
	(quote): Initialize StringBuilder correctly.

2007-02-08  Gary Benson  <gbenson@redhat.com>

	* javax/management/MBeanServerFactory.java
	(servers): Initialize.
	(createMBeanServer): Don't initialize servers.

2007-01-31  Tom Tromey  <tromey@redhat.com>

	* tools/Makefile.in: Rebuilt.
	* tools/Makefile.am (noinst_SCRIPTS): Renamed from bin_SCRIPTS.
	(noinst_DATA): Renamed from TOOLS_DATA.

2007-01-20  Matthias Klose  <doko@debian.org>

	* native/jni/gtk-peer/Makefile.am, native/jawt/Makefile.am: Install
	into nativeexeclibdir instead of gcjversionedlibdir.
	* native/jni/gtk-peer/Makefile.in, native/jawt/Makefile.in: Regenerate.

2007-01-16  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Use multi.m4 from aclocal rather than
	custom code.  Use multi_basedir instead libgcj_basedir.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

2007-01-10  Matthias Klose  <doko@debian.org>

	Readd missing chunks from r116332:

	* m4/acinclude.m4 (CLASSPATH_TOOLEXECLIBDIR): New macro.
	* resource/Makefile.am (loggingdir): Define to
	toolexeclibdir.
	(securitydir): Likewise.
	* configure.ac: Call CLASSPATH_TOOLEXECLIBDIR.
	Set default nativeexeclibdir using toolexeclibdir.

	Readd missing chunks from r115839:

	* native/jni/gtk-peer/Makefile.am (libgtkpeer_la_LDFLAGS):
	Add -avoid-version.
	* native/jawt/Makefile.am (libjawt_la_LDFLAGS): Add -avoid-version.

	* configure, Makefile.in, doc/Makefile.in, doc/api/Makefile.in,
	examples/Makefile.in, external/Makefile.in,
	external/jsr166/Makefile.in, external/relaxngDatatype/Makefile.in,
	external/sax/Makefile.in, external/w3c_dom/Makefile.in,
	include/Makefile.in, lib/Makefile.in, native/Makefile.in,
	native/fdlibm/Makefile.in, native/jawt/Makefile.in,
	native/jni/Makefile.in, native/jni/classpath/Makefile.in,
	native/jni/gconf-peer/Makefile.in, native/jni/gtk-peer/Makefile.in
	native/jni/java-io/Makefile.in, native/jni/java-lang/Makefile.in,
	native/jni/java-net/Makefile.in, native/jni/java-nio/Makefile.in,
	native/jni/java-util/Makefile.in, native/jni/midi-alsa/Makefile.in,
	native/jni/midi-dssi/Makefile.in, native/jni/native-lib/Makefile.in,
	native/jni/qt-peer/Makefile.in, native/jni/xmlj/Makefile.in,
	native/plugin/Makefile.in, resource/Makefile.in, scripts/Makefile.in,
	tools/Makefile.in: Regenerate

2007-01-10  Matthias Klose  <doko@debian.org>

	* resource/gnu/regexp, tools/gnu/classpath/tools/rmi/rmic,
	tools/gnu/classpath/tools/rmi/rmid, tools/gnu/classpath/tools/giop,
	doc/www.gnu.org, doc/unicode, testsuite, testsuite/java.sun.awt,
	testsuite/javax.swing.text.html.parser, testsuite/java.lang,
	testsuite/java.opstack, testsuite/java.sun.tools, testsuite/java.text,
	testsuite/scheme, testsuite/config, testsuite/java.net, testsuite/lib,
	testsuite/java.io, testsuite/java.util, native/target,
	native/testsuite, native/vmi, org/omg/CORBA/SendingContext,
	gnu/regexp, test, compat: Remove empty directories.

2006-12-23  Andreas Tobler <a.tobler@schweiz.org>

	* classpath/tools/Makefile.am: Replace cp -a with a more portable
	cp -pR.
	* classpath/tools/Makefile.in: Regenerate.

2006-12-18  Tom Tromey  <tromey@redhat.com>

	* tools/Makefile.in: Rebuilt.
	* tools/Makefile.am (GLIBJ_CLASSPATH): Look in srcdir.

2006-12-18  Tom Tromey  <tromey@redhat.com>

	* tools/Makefile.in: Rebuilt.
	* tools/Makefile.am ($(TOOLS_ZIP)): Put classes in srcdir.
	* tools/asm, tools/classes: Check in .class files.

2006-12-18  Gary Benson  <gbenson@redhat.com>

	* tools/Makefile.am: Fix typo.
	* tools/Makefile.in: Rebuilt.

2006-12-15  Andrew Haley  <aph@redhat.com>

	* tools/Makefile.am (TOOLS_ZIP): Pass -g -w to javac.
	Create all-classes.lst that contains all source filenames.
	Delete asm.lst.

2006-12-15  Tom Tromey  <tromey@redhat.com>

	* configure, lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (compile-classes): Use JAVA_MAINTAINER_MODE.
	* configure.ac: Added --enable-java-maintainer-mode.

2006-12-12  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, tools/Makefile.in: Rebuilt.
	* Makefile.am (SUBDIRS): Removed gcj-local change.
	(DIST_SUBDIRS): Likewise.
	* tools/Makefile.am (JCOMPILER): Use gcj, not gcjx.
	(GLIBJ_BOOTCLASSPATH): Find core classes in srcdir.

2006-12-11  Tom Tromey  <tromey@redhat.com>

	* Merged in Classpath from libgcj-import-20061211.

2006-10-17  Tom Tromey  <tromey@redhat.com>

	* sun/reflect/annotation/AnnotationInvocationHandler.java
	(invoke): Clone array values before return.
	(create): New method.
	(arrayClone): Likewise.

2006-10-12  Tom Tromey  <tromey@redhat.com>

	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (JAVAC): Put classes in srcdir.
	(compile-classes): Conditional on MAINTAINER_MODE.

2006-07-18  Tom Tromey  <tromey@redhat.com>

	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (JAVAC): Add -w, -g, and --encoding.

2006-07-06  Tom Tromey  <tromey@redhat.com>

	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (JAVAC): Define when FOUND_GCJ is true.
	(compile-classes): Remove special case for gcj.

2006-06-23  Tom Tromey  <tromey@redhat.com>

	* Imported Classpath generics 0.91, presesrving local changes.

2006-06-09  Tom Tromey  <tromey@redhat.com>

	* lib/Makefile.gcj (GCJF): Added -g and -ftarget=1.5.

2006-05-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/Makefile.am (gcc_version): New variable.
	(gcjversionedlibdir): Likewise.
	(libgtkpeer_la_LDFLAGS): Likewise.
	Install libgtkpeer.so in GCJ versioned library directory.
	* native/jawt/Makefile.am (gcc_version): New variable.
	(gcjversionedlibdir): Likewise.
	(libjawt_la_LDFLAGS): Likewise.
	Rename libjawtgnu.so libjawt.so.  Install libjawt.so in GCJ
	versioned library directory.
	* gnu/java/awt/peer/gtk/GdkFontPeer.java (static): Call
	System.loadLibrary unconditionally.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkGraphics.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkToolkit.java: Likewise.
	* gnu/java/awt/peer/gtk/GdkTextLayout.java: Likewise.

2006-05-19  Andreas Tobler  <a.tobler@schweiz.ch>

	* include/config-int.h: Delete, it is a generated file.

2006-04-05  Tom Tromey  <tromey@redhat.com>

	PR libgcj/26625:
	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (compile-classes): Touch the output file.

2006-04-04  Tom Tromey  <tromey@redhat.com>

	* lib/gen-classlist.sh.in: Correct handle generated files.

2006-04-04  Mark Wielaard  <mark@klomp.org>

	* lib/gen-classlist.sh.in: Use classes.tmp, not classes.2
	as temporary file name.

2006-04-04  Tom Tromey  <tromey@redhat.com>

	* lib/split-for-gcj.sh: Updated for multi-field format.
	* lib/Makefile.am (CLEANFILES): Added classes.2.
	* lib/gen-classlist.sh.in (GCJ): Removed.  Create classes.1 and
	classes.2 using multiple fields.

2006-04-03  Bernhard Rosenkraenzer  <bero@arklinux.org>

	PR gcc/26901:
	* Makefile.in: Rebuilt.
	* Makefile.am (SUBDIRS): Remove 'tools'.
	(DIST_SUBDIRS): Likewise.

2006-03-16  Tom Tromey  <tromey@redhat.com>

	PR libgcj/26706:
	* aclocal.m4, configure: Rebuilt.
	* configure.ac (GCC_NO_EXECUTABLES): Moved earlier.

2006-03-15  Tom Tromey  <tromey@redhat.com>

	PR libgcj/26688:
	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (propertydirs): Ignore .svn directories.
	(metafiles): Likewise.

2006-03-10  Tom Tromey  <tromey@redhat.com>

	For PR libgcj/25713:
	* java/util/zip/InflaterInputStream.java (read): Replaced with
	libgcj implementation.

2006-03-08  Tom Tromey  <tromey@redhat.com>

	PR libgcj/24183:
	* native/jni/xmlj/Makefile.in: Rebuilt.
	* native/jni/xmlj/Makefile.am (nativelib_LTLIBRARIES): Renamed
	(reverted local patch).

2006-01-16  Mark Wielaard  <mark@klomp.org>

	* native/fdlibm/namespace.h: Empty for gcj.

2006-01-14  Anthony Green  <green@redhat.com>

	* java/net/ServerSocket.java (accept): Remove bogus
	security check.
	(implAccept): Add FIXME comment.

2006-01-06  Tom Tromey  <tromey@redhat.com>

	PR libgcj/23499:
	* lib/Makefile.in: Rebuilt.
	* lib/Makefile.am (glibj_DATA): Commented out.

2005-12-01  Anthony Green  <green@redhat.com>

	PR bootstrap/25207
	* configure.ac: Make sure we have an alsa library in addition to
	the headers.  This extra test is required for systems with
	multilibs.
	* configure: Rebuilt.

2005-10-03  Tom Tromey  <tromey@redhat.com>

	* native/jawt/Makefile.in: Rebuilt.
	* native/jawt/Makefile.am (noinst_LTLIBRARIES): Renamed.
	* native/jni/xmlj/Makefile.in: Rebuilt.
	* native/jni/xmlj/Makefile.am (noinst_LTLIBRARIES): Renamed.
	* native/jni/qt-peer/Makefile.in: Rebuilt.
	* native/jni/qt-peer/Makefile.am (noinst_LTLIBRARIES): Renamed.
	* native/jni/gtk-peer/Makefile.in: Rebuilt.
	* native/jni/gtk-peer/Makefile.am (noinst_LTLIBRARIES): Renamed.

2005-10-03  Tom Tromey  <tromey@redhat.com>

	PR libgcj/24057:
	* include/Makefile.in: Rebuilt.
	* include/Makefile.am: Don't install headers.

2005-09-30  Tom Tromey  <tromey@redhat.com>

	PR libgcj/24051:
	* Makefile.in: Rebuilt.
	* Makefile.am (ACLOCAL_AMFLAGS): Added -I ../../config
	* configure: Rebuilt.
	* configure.ac: Use GCC_NO_EXECUTABLES

2005-09-23  Tom Tromey  <tromey@redhat.com>

	* native/jawt/.cvsignore: Likewise.
	* native/jni/qt-peer/.cvsignore
	* native/jawt/Makefile.in: Added.
	* native/jni/qt-peer/Makefile.in: Likewise.

2005-09-23  Tom Tromey  <tromey@redhat.com>

	Imported Classpath 0.18.

2005-08-23  Tom Tromey  <tromey@redhat.com>

	* configure: Rebuilt.
	* configure.ac: Fixed typo.

2005-08-22  Tom Tromey  <tromey@redhat.com>

	PR libgcj/23498:
	* doc/Makefile.am (info_TEXINFOS): Commented out.
	* doc/Makefile.in: Rebuilt.

2005-08-22  Kelley Cook  <kcook@gcc.gnu.org>

	* Makefile.am (ACLOCAL_AMFLAGS): New.
	* Makefile.in: Regenerate.
	
2005-08-22  Tom Tromey  <tromey@redhat.com>

	PR libgcj/23498:
	* doc/Makefile.am (info_TEXINFOS): Commented out.
	* doc/Makefile.in: Rebuilt.

2005-08-11  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* lib/split-for-gcj.sh: Don't use unportable %{parameter%word}.
	Don't use unportable !.

2005-07-15  Tom Tromey  <tromey@redhat.com>

	* ChangeLog.gcj, Makefile.in, aclocal.m4, config.guess,
	config.sub, configure, ltmain.sh, doc/Makefile.in,
	doc/api/Makefile.in, examples/Makefile.in, external/Makefile.in,
	external/sax/Makefile.in, external/w3c_dom/Makefile.in,
	include/Makefile.in, include/config.h.in, include/jni.h,
	lib/Makefile.in, native/Makefile.in, native/fdlibm/Makefile.in,
	native/jni/Makefile.in, native/jni/classpath/Makefile.in,
	native/jni/gtk-peer/Makefile.in, native/jni/java-io/Makefile.in,
	native/jni/java-lang/Makefile.in, native/jni/java-net/Makefile.in,
	native/jni/java-nio/Makefile.in, native/jni/java-util/Makefile.in,
	native/jni/xmlj/Makefile.in, native/target/Makefile.in,
	native/target/Linux/Makefile.in,
	native/target/generic/Makefile.in, resource/Makefile.in,
	scripts/Makefile.in: Added.
	* native/fdlibm/.cvsignore, native/jni/xmlj/.cvsignore,
	native/jni/java-util/.cvsignore, native/jni/classpath/.cvsignore,
	native/jni/java-net/.cvsignore, native/jni/java-io/.cvsignore,
	native/jni/.cvsignore, native/jni/java-lang/.cvsignore,
	native/jni/gtk-peer/.cvsignore, native/jni/java-nio/.cvsignore,
	native/testsuite/.cvsignore, native/.cvsignore,
	native/vmi/.cvsignore, native/target/.cvsignore,
	native/target/generic/.cvsignore, native/target/Linux/.cvsignore,
	include/.cvsignore, doc/api/.cvsignore,
	doc/www.gnu.org/faq/.cvsignore,
	doc/www.gnu.org/downloads/.cvsignore,
	doc/www.gnu.org/docs/.cvsignore, doc/www.gnu.org/.cvsignore,
	doc/www.gnu.org/events/.cvsignore,
	doc/www.gnu.org/announce/.cvsignore, doc/.cvsignore,
	resource/.cvsignore, external/w3c_dom/.cvsignore,
	external/sax/.cvsignore, external/.cvsignore,
	java/util/.cvsignore, .cvsignore, test/java.net/.cvsignore,
	test/java.io/.cvsignore, test/.cvsignore,
	test/java.util/.cvsignore, test/gnu.java.lang.reflect/.cvsignore,
	test/java.lang.reflect/.cvsignore, examples/.cvsignore,
	lib/.cvsignore, gnu/classpath/.cvsignore, gnu/test/.cvsignore,
	compat/java.net/.cvsignore, compat/.cvsignore, vm/.cvsignore,
	vm/reference/.cvsignore, scripts/.cvsignore: Updated.
